[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

RE: Debian sarge 3.1r2 and Intel 537EP chipset modem



Ok. I got the file and installed it and could compile with succes! The modem is up and running (some minor problems but nothing to be worried about). As always, thanks a lot!

Regards,

Carlos.

-----Mensaje original-----
De: Marvin Stodolsky [mailto:marvin.stodolsky@gmail.com] 
Enviado el: Miércoles, 06 de Septiembre de 2006 09:57 p.m.
Para: Carlos Marcano Velasquez
CC: discuss@linmodems.org
Asunto: Re: Debian sarge 3.1r2 and Intel 537EP chipset modem


RE: install the kernel-kbuild-2.6.8-2 package?
Almost.
You need http://packages.debian.org/stable/devel/kernel-kbuild-2.6-3
"This package provides kbuild tools for Linux kernel 2.6. It is used together with the kernel-headers packages to build out-of-tree kernel modules."

MarvS

On 9/6/06, Carlos Marcano Velasquez <camarcano@edelca.com.ve> wrote:
> Marvin
>
> Thanks for the reply.
>
> Let me see if I get it: I might get to compile the driver if I install 
> the kernel-kbuild-2.6.8-2 package?
>
> Regards,
>
> Carlos.
>
> -----Mensaje original-----
> De: Marvin Stodolsky [mailto:marvin.stodolsky@gmail.com]
> Enviado el: Miércoles, 06 de Septiembre de 2006 06:34 p.m.
> Para: Carlos Marcano Velasquez
> CC: discuss@linmodems.org
> Asunto: Re: Debian sarge 3.1r2 and Intel 537EP chipset modem
>
>
> Carlos
>
> For Debian a package kernel-kbuild-2.6-3 (or similar) is beeded to 
> support driver compiling.  In addition to kernel-headers-2.6.8-2-386 
> you likely will need a dependent kernel-headers-2.6.8-2.  Other Debian 
> related Distros such as Ubuntu have by passed the need for the scripts 
> in kernel-kbuild-2.6-3 which guide kernel-header usage.
>
> MarvS
>
> On 9/6/06, Carlos Marcano Velasquez <camarcano@edelca.com.ve> wrote:
> > (Sorry if this is a double posting, I can´t see my previous emails 
> > at the list)
> >
> > Hi list.
> >
> >  After succesfully installing my 537EP Intel chipset modem with 
> > Ubuntu Dapper (6.06.1 LTS), I am now trying to do the same with 
> > Debian "sarge" 3.1r2.
> >
> > I thought that as Ubuntu is Debian based I could manage to get the 
> > modem working easylly but, oh lord, how wrong I was. This is my 
> > problem, and please forgive me if this is more of a "linux" related 
> > problem than a linmodem one:
> >
> > In order to compile the driver for the modem (by the way I am using 
> > the sameone I used for ubuntu, from the Intel site) I need to 
> > install the "build-essential" packages (make and related stuff) and 
> > the "linux-headers" one. I am on 2.6.8-2-386 kernel and as far as I 
> > can see the "linux-headers" package was called "kernel-headers" for 
> > my kernel version. Ok, I got it from the Debian disks. Then I made 
> > "make clean", that went fine but when I try "make 537"  I get a 
> > "kernel source missing" message. I have tried the typical "apt-get 
> > install kernel-source-2.6.8-2-386" but without luck... Am I missing 
> > something?
> >
> > Thanks in advance for your time and help.
> >
> > Regards,
> >
> > Carlos.
> >
> >
>